GET api/poolapi/poolsbycustomerid/{customerId}?active={active}&lastUpdate={lastUpdate}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| customerId | globally unique identifier |
Required |
|
| active | boolean |
None. |
|
| lastUpdate | date |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PoolViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| description | string |
Required String length: inclusive between 0 and 250 |
|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
Required |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"description": "sample string 2",
"id": "f6dbc49b-8fd0-4b73-a937-5dc44517a12c",
"site_id": "0fa32a9d-7d7d-43f2-9a7e-b31ee6f36882"
},
{
"active": true,
"description": "sample string 2",
"id": "f6dbc49b-8fd0-4b73-a937-5dc44517a12c",
"site_id": "0fa32a9d-7d7d-43f2-9a7e-b31ee6f36882"
}
]
application/xml, text/xml
Sample:
<ArrayOfpool xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pool>
<active>true</active>
<description>sample string 2</description>
<id>f6dbc49b-8fd0-4b73-a937-5dc44517a12c</id>
<site_id>0fa32a9d-7d7d-43f2-9a7e-b31ee6f36882</site_id>
</pool>
<pool>
<active>true</active>
<description>sample string 2</description>
<id>f6dbc49b-8fd0-4b73-a937-5dc44517a12c</id>
<site_id>0fa32a9d-7d7d-43f2-9a7e-b31ee6f36882</site_id>
</pool>
</ArrayOfpool>